## kirigami-addons 0.3

=== src/treeview/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Marco Martin <notmart@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(treeviewplugin URI "org.kde.kirigamiaddons.treeview" VERSION 0.1)

target_sources(treeviewplugin PRIVATE
    treeviewplugin.cpp
)

ecm_target_qml_sources(treeviewplugin SOURCES
    qml/InternalTreeListView.qml
    qml/BasicTreeItem.qml
    qml/TreeTableView.qml
    qml/TreeViewDecoration.qml
    qml/TreeListView.qml
    qml/AbstractTreeItem.qml
    qml/InternalTreeTableView.qml
)

ecm_target_qml_sources(treeviewplugin
    PRIVATE PATH
    styles/org.kde.desktop
    SOURCES
    qml/styles/org.kde.desktop/TreeViewDecoration.qml
)

target_link_libraries(treeviewplugin
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::QuickControls2
)

ecm_finalize_qml_module(treeviewplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kirigami-addons (0.3-2build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 18 Sep 2022 10:51:34 +0300

kirigami-addons (0.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jun 2022 04:36:34 +0200

kirigami-addons (0.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream GPG signing key.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the KF packages to 5.91.0
  * CI: sync the configuration with other KDE sources.
  * Add new packages for the new bits available in the new version:
    - add qml-module-org-kde-kirigami-addons-labs-mobileform, and
      qml-module-org-kde-kirigami-addons-sounds for the new QML modules
    - add kirigami-addons-data with the shared data (translations so far)
      of the QML modules
      - make all the qml-module-* packages depend on it
    - add kirigami-addons-dev with development files
  * The new sounds module needs the QML module of QtMultimedia, so make
    qml-module-org-kde-kirigami-addons-sounds depend on qml-module-qtmultimedia.
  * Update copyright.
  * Disable the execution of the test suite at build time, as it seems it does
    not have all the test data needed from the 'freedesktop' sound theme.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jun 2022 12:54:47 +0200

kirigami-addons (0.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Drop the custom CFLAGS, as there are no C sources.

 -- Pino Toscano <pino@debian.org>  Tue, 31 May 2022 07:36:49 +0200

kirigami-addons (0.2-1) unstable; urgency=medium

  * Team upload.

  [ Matthias Geiger ]
  * Initial release (Closes: #988485)

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 May 2022 14:35:44 +0200

=== debian/control ===
Source: kirigami-addons
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake (>= 3.16.0),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               kirigami2-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               qtbase5-dev (>= 5.15),
               qtdeclarative5-dev (>= 5.15),
               qtquickcontrols2-5-dev (>= 5.15),
Standards-Version: 4.6.1
Section: libs
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
Rules-Requires-Root: no

Package: kirigami-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: qml-module-org-kde-kirigami-addons-datetime
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: datetime module for QML
 This package contains the datetime QML module.
 A runtime QML module providing date and time utilities.

Package: qml-module-org-kde-kirigami-addons-treeview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: treeview module for QML
 This package contains the treeview QML module.
 A runtime QML module providing treeview utilities.

Package: qml-module-org-kde-kirigami-addons-labs-mobileform
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: labs/mobileform module for QML
 This package contains the labs/mobileform QML module.
 A runtime QML module providing mobile forms utilities.

Package: qml-module-org-kde-kirigami-addons-sounds
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: sounds module for QML
 This package contains the sounds QML module.
 A runtime QML module providing sound utilities.

Package: kirigami-addons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qml-module-org-kde-kirigami-addons-datetime (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-labs-mobileform (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-sounds (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-treeview (= ${binary:Version}),
         ${misc:Depends},
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.

## kirigami-addons 0.7.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(kirigami-addons VERSION 0.7.0)

set(REQUIRED_QT_VERSION 5.15.2)
set(KF5_DEP_VERSION "5.91.0")

include(FeatureSummary)

set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)

find_package(ECM ${KF5_DEP_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMQmlModule)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick QuickControls2)

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS Kirigami2 I18n)
if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION}QuickTest ${REQUIRED_QT_VERSION} CONFIG QUIET)
endif()
if (ANDROID)
    find_package(Gradle REQUIRED)
    if (QT_MAJOR_VERSION EQUAL "5")
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED CONFIG COMPONENTS AndroidExtras)
    endif()
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KirigamiAddons")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KirigamiAddonsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KirigamiAddonsConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KIRIGAMIADDONS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigamiaddons_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KirigamiAddonsConfigVersion.cmake"
)

add_subdirectory(src)

if (BUILD_TESTING AND BUILD_SHARED_LIBS)
    add_subdirectory(autotests)
endif()

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KirigamiAddonsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KirigamiAddonsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(components)
add_subdirectory(dateandtime)
add_subdirectory(treeview)
add_subdirectory(sounds)
add_subdirectory(mobileform)

=== src/components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(componentsplugin URI "org.kde.kirigamiaddons.labs.components" VERSION 1.0)

target_sources(componentsplugin PRIVATE
    componentsplugin.cpp
)

ecm_target_qml_sources(componentsplugin SOURCES
    SearchPopupField.qml
)

target_link_libraries(componentsplugin
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::QuickControls2
)

ecm_finalize_qml_module(componentsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/dateandtime/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

if (ANDROID)
    add_library(KF5KirigamiDateAndTime)
    add_library(KF5::KirigamiDateAndTime ALIAS KF5KirigamiDateAndTime)
    target_sources(KF5KirigamiDateAndTime PRIVATE
        lib/androidintegration.cpp
    )
    generate_export_header(KF5KirigamiDateAndTime BASE_NAME KirigamiDateAndTime)
    target_link_libraries(KF5KirigamiDateAndTime PUBLIC Qt${QT_MAJOR_VERSION}::Core)
    if (QT_MAJOR_VERSION EQUAL "5")
        target_link_libraries(KF5KirigamiDateAndTime PUBLIC Qt5::AndroidExtras)
    endif()
    add_subdirectory(android)
    install(TARGETS KF5KirigamiDateAndTime ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

ecm_add_qml_module(dateandtimeplugin URI "org.kde.kirigamiaddons.dateandtime" VERSION 0.1)

target_compile_definitions(dateandtimeplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_dateandtime\")

target_sources(dateandtimeplugin PRIVATE
    lib/yearmodel.cpp
    lib/monthmodel.cpp
    lib/plugin.cpp
    lib/timeinputvalidator.cpp
    lib/qdatetimeparser.cpp
    lib/infinitecalendarviewmodel.cpp
)

ecm_target_qml_sources(dateandtimeplugin SOURCES
    ClockFace.qml
    DateInput.qml
    DatePicker.qml
    DatePopup.qml
    TimeInput.qml

    # deprecated
    TimePicker.qml
)
ecm_target_qml_sources(dateandtimeplugin PATH private SOURCES
    private/ClockElement.qml
    private/DesktopDateInput.qml
    private/Hand.qml
    private/MobileDateInput.qml
    private/TumblerTimePicker.qml
)

target_link_libraries(dateandtimeplugin
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF5::I18n
)
if (TARGET KF5KirigamiDateAndTime)
    target_link_libraries(dateandtimeplugin KF5KirigamiDateAndTime)
endif()

ecm_finalize_qml_module(dateandtimeplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/mobileform/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(mobileformplugin URI "org.kde.kirigamiaddons.labs.mobileform" VERSION 0.1)

target_compile_definitions(mobileformplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_mobileform\")

target_sources(mobileformplugin PRIVATE
    lib/plugin.cpp
)

ecm_target_qml_sources(mobileformplugin SOURCES
    AbstractFormDelegate.qml
    FormArrow.qml
    FormButtonDelegate.qml
    FormCard.qml
    AboutPage.qml
    FormCardHeader.qml
    FormCheckDelegate.qml
    FormComboBoxDelegate.qml
    FormDelegateBackground.qml
    FormDelegateSeparator.qml
    FormRadioDelegate.qml
    FormSectionText.qml
    FormSwitchDelegate.qml
    FormTextDelegate.qml
    FormTextFieldDelegate.qml
)

ecm_target_qml_sources(mobileformplugin PATH private SOURCES
    private/ContentItemLoader.qml
    private/AboutKDE.qml
)

target_link_libraries(mobileformplugin
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF5::I18n
)

ecm_finalize_qml_module(mobileformplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/sounds/CMakeLists.txt ===
ecm_add_qml_module(soundsplugin URI "org.kde.kirigamiaddons.sounds" VERSION 0.1)

target_compile_definitions(soundsplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_sounds\")

target_sources(soundsplugin PRIVATE
    lib/plugin.cpp
    lib/soundspickermodel.cpp
)

ecm_target_qml_sources(soundsplugin SOURCES
    SoundsPicker.qml
)

target_link_libraries(soundsplugin
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF5::I18n
)

ecm_finalize_qml_module(soundsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kirigami-addons (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Feb 2023 20:07:23 +0100

kirigami-addons (0.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove spurious "new version" entry in the changelog stanza for 0.6.2-1.
  * Add a new qml-module-org-kde-kirigami-addons-labs-components package for
    the new QML module.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jan 2023 00:14:26 +0100

kirigami-addons (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Jan 2023 12:21:58 +0100

kirigami-addons (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 03 Dec 2022 09:44:02 +0100

kirigami-addons (0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 01 Dec 2022 07:23:19 +0100

kirigami-addons (0.5-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (0.5).
  * Update build-deps and deps with the info from cmake.
  * Moved from unstable -> stable.
  * Update signing-key to match with current release.

 -- Sandro Knauß <hefee@debian.org>  Sun, 23 Oct 2022 16:03:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                extra-cmake-modules (>= 5.91.0~),
                kirigami2-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               qtbase5-dev (>= 5.15),
-               qtdeclarative5-dev (>= 5.15),
-               qtquickcontrols2-5-dev (>= 5.15),
-Standards-Version: 4.6.1
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
+               qtquickcontrols2-5-dev (>= 5.15.2~)
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://invent.kde.org/libraries/kirigami-addons/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
@@ -21,7 +21,7 @@
 Package: kirigami-addons-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: data files for kirigami-addons
  This package contains the data files shared by all the QML modules of
  kirigami-addons.
@@ -83,14 +83,30 @@
  This package contains the sounds QML module.
  A runtime QML module providing sound utilities.
 
+Package: qml-module-org-kde-kirigami-addons-labs-components
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtmultimedia,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: labs/components module for QML
+ This package contains the labs/components QML module.
+ A runtime QML module providing components utilities.
+
 Package: kirigami-addons-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: qml-module-org-kde-kirigami-addons-datetime (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-labs-components (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-labs-mobileform (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-sounds (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-treeview (= ${binary:Version}),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: development files for kirigami-addons
  This package contains the development files of kirigami-addons.

## kirigami-addons 0.8.0

=== debian/changelog ===
kirigami-addons (0.8.0-0xneon+22.04+jammy+release+build14) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 14 Apr 2023 07:09:00 +0000

kirigami-addons (0.8.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Apr 2023 07:08:07 +0000

kirigami-addons (0.7.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Mar 2023 07:08:06 +0000

kirigami-addons (0.7.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Mar 2023 07:08:09 +0000

kirigami-addons (0.7.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 30 Jan 2023 07:08:06 +0000

kirigami-addons (0.6.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 07 Jan 2023 07:08:06 +0000

kirigami-addons (0.6.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 03 Dec 2022 07:08:06 +0000

kirigami-addons (0.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Dec 2022 07:08:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: kirigami-addons
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Build-Depends: cmake (>= 3.16.0),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                kirigami2-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~)
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://invent.kde.org/libraries/kirigami-addons/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
 Rules-Requires-Root: no
+Vcs-Git: https://invent.kde.org/neon/extras/kirigami-addons.git
+Vcs-Browser: https://invent.kde.org/neon/extras/kirigami-addons
+Maintainer: Neon CI <neon@kde.org>
 
 Package: kirigami-addons-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: data files for kirigami-addons
  This package contains the data files shared by all the QML modules of
  kirigami-addons.
@@ -36,6 +37,8 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: datetime module for QML
  This package contains the datetime QML module.
  A runtime QML module providing date and time utilities.
@@ -50,6 +53,8 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: treeview module for QML
  This package contains the treeview QML module.
  A runtime QML module providing treeview utilities.
@@ -64,8 +69,24 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: labs/mobileform module for QML
  This package contains the labs/mobileform QML module.
+ A runtime QML module providing mobile forms utilities.
+
+Package: qml-module-org-kde-kirigami-addons-labs-components
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: labs/components module for QML
+ This package contains the labs/components QML module.
  A runtime QML module providing mobile forms utilities.
 
 Package: qml-module-org-kde-kirigami-addons-sounds
@@ -79,24 +100,11 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: sounds module for QML
  This package contains the sounds QML module.
  A runtime QML module providing sound utilities.
-
-Package: qml-module-org-kde-kirigami-addons-labs-components
-Architecture: any
-Multi-Arch: same
-Depends: kirigami-addons-data (>= ${source:Version}),
-         qml-module-org-kde-kirigami2,
-         qml-module-qtmultimedia,
-         qml-module-qtquick-controls,
-         qml-module-qtquick-controls2,
-         qml-module-qtquick-layouts,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: labs/components module for QML
- This package contains the labs/components QML module.
- A runtime QML module providing components utilities.
 
 Package: kirigami-addons-dev
 Architecture: any
@@ -108,5 +116,19 @@
          qml-module-org-kde-kirigami-addons-sounds (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-treeview (= ${binary:Version}),
          ${misc:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: development files for kirigami-addons
  This package contains the development files of kirigami-addons.
+
+Package: qml-module-org-kde-kirigamiaddons
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Priority: extra
+Depends: qml-module-org-kde-kirigami-addons-datetime,
+         qml-module-org-kde-kirigami-addons-sounds,
+         qml-module-org-kde-kirigami-addons-treeview,
+         ${misc:Depends}
+Description: transitional dummy
+ This empty package can be removed

## kirigami-addons 0.9.0

=== debian/changelog ===
kirigami-addons (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Jul 2023 02:08:29 +0200

kirigami-addons (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:13:21 +0200

kirigami-addons (0.8.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Apr 2023 09:20:55 +0200

kirigami-addons (0.7.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 14 Mar 2023 06:32:44 +0100

## kirigami-addons 0.11.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,6 @@
 add_subdirectory(dateandtime)
 add_subdirectory(treeview)
 add_subdirectory(sounds)
-add_subdirectory(mobileform)
+add_subdirectory(formcard)
+add_subdirectory(delegates)
+add_subdirectory(settings)

=== src/formcard/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

# MobileForm Labs module
# Deprecated and replaced by FormCard

ecm_add_qml_module(mobileformplugin URI "org.kde.kirigamiaddons.labs.mobileform" VERSION 0.1)

target_sources(mobileformplugin PRIVATE
    lib/labplugin.cpp
)

ecm_target_qml_sources(mobileformplugin SOURCES
    labs/FormCard.qml
    labs/AboutPage.qml
    labs/AboutKDE.qml

    AbstractFormDelegate.qml
    FormArrow.qml
    FormButtonDelegate.qml
    FormHeader.qml
    FormCardHeader.qml
    FormCheckDelegate.qml
    FormComboBoxDelegate.qml
    FormDelegateBackground.qml
    FormDelegateSeparator.qml
    FormRadioDelegate.qml
    FormSectionText.qml
    FormSpinBoxDelegate.qml
    FormSwitchDelegate.qml
    FormTextDelegate.qml
    FormTextFieldDelegate.qml
    FormGridContainer.qml
)

ecm_target_qml_sources(mobileformplugin PATH private SOURCES
    private/ContentItemLoader.qml
    private/SpinButton.qml
)

target_link_libraries(mobileformplugin
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF${KF_MAJOR_VERSION}::I18n
)

ecm_finalize_qml_module(mobileformplugin DESTINATION ${KDE_INSTALL_QMLDIR})

# FormCard module

ecm_add_qml_module(formcardplugin URI "org.kde.kirigamiaddons.formcard" VERSION 1.0)

target_sources(formcardplugin PRIVATE
    lib/formcardplugin.cpp
)

ecm_target_qml_sources(formcardplugin SOURCES
    AbstractFormDelegate.qml
    FormArrow.qml
    FormButtonDelegate.qml
    FormCard.qml
    FormCardPage.qml
    FormHeader.qml
    AboutPage.qml
    AboutKDE.qml
    FormCheckDelegate.qml
    FormComboBoxDelegate.qml
    FormDelegateBackground.qml
    FormDelegateSeparator.qml
    FormRadioDelegate.qml
    FormSectionText.qml
    FormSpinBoxDelegate.qml
    FormSwitchDelegate.qml
    FormTextDelegate.qml
    FormTextFieldDelegate.qml
    FormGridContainer.qml
)

ecm_target_qml_sources(formcardplugin PATH private SOURCES
    private/ContentItemLoader.qml
    private/SpinButton.qml
)

target_link_libraries(formcardplugin
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF${KF_MAJOR_VERSION}::I18n
)

ecm_finalize_qml_module(formcardplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/sounds/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 target_link_libraries(soundsplugin
     Qt${QT_MAJOR_VERSION}::Quick
     Qt${QT_MAJOR_VERSION}::Qml
-    KF5::I18n
+    KF${KF_MAJOR_VERSION}::I18n
 )
 
 ecm_finalize_qml_module(soundsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kirigami-addons (0.11.0-0zneon+24.04+noble+release+build2) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:09:59 +0000

kirigami-addons (0.11.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2023 07:08:07 +0000

kirigami-addons (0.10.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Aug 2023 07:08:06 +0000

kirigami-addons (0.9.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 01 Jul 2023 07:08:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kirigami-addons
 Priority: optional
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
-Build-Depends: cmake (>= 3.16.0),
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.91.0~),
+               extra-cmake-modules,
                kirigami2-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://invent.kde.org/libraries/kirigami-addons/
 Rules-Requires-Root: no
@@ -43,6 +44,38 @@
  This package contains the datetime QML module.
  A runtime QML module providing date and time utilities.
 
+Package: qml-module-org-kde-kirigami-addons-formcard
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Description: formcard module for QML
+ This package contains the formcard QML module.
+ A runtime QML module providing formcard utilities.
+
+Package: qml-module-org-kde-kirigami-addons-settings
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Description: settings module for QML
+ This package contains the settings QML module.
+ A runtime QML module providing settings utilities.
+
 Package: qml-module-org-kde-kirigami-addons-treeview
 Architecture: any
 Multi-Arch: same
@@ -89,6 +122,20 @@
  This package contains the labs/components QML module.
  A runtime QML module providing mobile forms utilities.
 
+Package: qml-module-org-kde-kirigami-addons-components
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: components module for QML
+ This package contains the components QML module.
+ A runtime QML module providing mobile forms utilities.
+
 Package: qml-module-org-kde-kirigami-addons-sounds
 Architecture: any
 Multi-Arch: same
@@ -106,13 +153,31 @@
  This package contains the sounds QML module.
  A runtime QML module providing sound utilities.
 
+Package: qml-module-org-kde-kirigami-addons-delegates
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: sounds module for QML
+ This package contains the delegates QML module.
+ A runtime QML module providing delegates utilities.
+
 Package: kirigami-addons-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: qml-module-org-kde-kirigami-addons-datetime (= ${binary:Version}),
+Depends: qml-module-org-kde-kirigami-addons-components (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-datetime (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-delegates (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-formcard (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-labs-components (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-labs-mobileform (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-settings (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-sounds (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-treeview (= ${binary:Version}),
          ${misc:Depends}
@@ -126,7 +191,13 @@
 Multi-Arch: same
 Section: oldlibs
 Priority: extra
-Depends: qml-module-org-kde-kirigami-addons-datetime,
+Depends: qml-module-org-kde-kirigami-addons-components,
+         qml-module-org-kde-kirigami-addons-datetime,
+         qml-module-org-kde-kirigami-addons-delegates,
+         qml-module-org-kde-kirigami-addons-formcard,
+         qml-module-org-kde-kirigami-addons-labs-components,
+         qml-module-org-kde-kirigami-addons-labs-mobileform,
+         qml-module-org-kde-kirigami-addons-settings,
          qml-module-org-kde-kirigami-addons-sounds,
          qml-module-org-kde-kirigami-addons-treeview,
          ${misc:Depends}
